.woocommerce #content div.product div.images,
.woocommerce div.product div.images,
.woocommerce-page #content div.product div.images,
.woocommerce-page div.product div.images {
  float: left;
  width: 58%;
}

.woocommerce #content div.product div.summary,
.woocommerce div.product div.summary,
.woocommerce-page #content div.product div.summary,
.woocommerce-page div.product div.summary {
  float: right;
  width: 38%;
}

@media only screen and (max-width: 768px) {
  .woocommerce #content div.product div.images,
  .woocommerce div.product div.images,
  .woocommerce-page #content div.product div.images,
  .woocommerce-page div.product div.images,
  .woocommerce #content div.product div.summary,
  .woocommerce div.product div.summary,
  .woocommerce-page #content div.product div.summary,
  .woocommerce-page div.product div.summary {
    float: none;
    width: 100%;
  }
}

@media only screen and (min-width: 768px) {
  .dodo-main-thumbnail {
    padding-left: 0 !important;
  }
}

.dodo-thumbnails {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.dodo-thumbnails .woocommerce-product-gallery__image {
  flex: 0 0 100%;
}

.woocommerce div.product div.images img {
  border-radius: 5px;
}

.dodo-product-specs-desc {
  margin-top: 30px;
}

.woocommerce div.product .product_title {
  font-family: 'Quicksand';
  font-size: 30px;
  font-weight: 500;
  line-height: 35px;
}

.dodo-product-check-list {
  list-style: none;
  padding-left: 35px;
}

.dodo-product-check-list.option-small {
  margin-bottom: 45px;
}

.dodo-product-check-list.option-large {
  columns: 2;
  column-gap: 30px;
}

.dodo-product-check-list li {
  position: relative;
  margin-bottom: 15px;
}

.dodo-product-check-list.option-large li {
  break-inside: avoid-column;
  margin-bottom: 30px;
}

.dodo-product-check-list li::before {
  content: url('../img/check.svg');
  position: absolute;
  top: 5px;
  left: -35px;
  line-height: 0;
}

.dodo-product-check-list.option-small .check-label {
  display: block;
  font-size: 18px;
  font-weight: 500;
}

.dodo-product-check-list.option-large .check-label {
  display: block;
  font-weight: 600;
  font-size: 20px;
}

.dodo-product-check-list.option-large .check-text {
  display: block;
}

.dodo-product-payment-shipping {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.dodo-product-payment-shipping .shipping-text p {
  font-size: 15px;
  font-weight: 500;
  margin: 0;
}

.dodo-product-payment-shipping .payment-image {
  width: 300px;
  max-width: 100%;
}

.woocommerce .woocommerce-result-count {
  font-size: 16px;
  font-weight: 400;
  line-height: normal;
  margin-bottom: 45px;
  padding: 10px 0;
}

.woocommerce .woocommerce-ordering {
  position: relative;
  font-size: 16px;
  font-weight: 400;
  line-height: normal;
  margin-bottom: 45px;
}

.woocommerce .woocommerce-ordering::after {
  content: url('../img/arrow-down-small.svg');
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  pointer-events: none;
}

.woocommerce .woocommerce-ordering .orderby {
  border: 0;
  background-color: transparent;
  padding-right: 30px;
  -o-appearance: none;
  -ms-appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.bg-black .woocommerce .woocommerce-ordering .orderby {
  color: var(--global-white);
}

.woocommerce .woocommerce-ordering .orderby::-ms-expand {
    display: none;
}

#page .prdctfltr_showing {
  display: none !important;
}

#page .prdctfltr_filter_inner {
  max-width: 100%;
  width: 100%;
  flex-wrap: wrap;
}

#page .prdctfltr_wc .prdctfltr_filter {
  width: 100% !important;
}

#page .prdctfltr_wc .prdctfltr_filter_title {
  margin-bottom: 30px;
}

#page .prdctfltr_wc {
  /* border: 1px solid var(--global-color-1); */
  /* box-shadow: 0 1px 6px rgba(0, 0, 0, 0.15); */
  /* padding: 25px; */
  padding-right: 30px;
  margin-bottom: 45px;
}

#page .prdctfltr_wc .prdctfltr_filter {
  width: 100% !important;
  border: 0;
  /* border-bottom: 1px solid var(--global-color-1); */
  margin-bottom: 15px;
  padding-bottom: 15px;
}

#page .prdctfltr_wc .prdctfltr_filter:last-child {
  border-bottom: 0;
  margin-bottom: 0;
  padding-bottom: 10px;
}

#page .prdctfltr_collector {
  margin: 10px 0;
  border-bottom: 1.6px solid var(--global-grey);
  margin-bottom: 25px;
  padding-bottom: 25px;
}

#page .pf_rngstyle_thin .irs-from,
#page .pf_rngstyle_thin .irs-to,
#page .pf_rngstyle_thin .irs-single {
  background-color: var(--global-color-1) !important;
}

#page .pf_rngstyle_thin .irs-line-mid,
#page .pf_rngstyle_thin .irs-line-left,
#page .pf_rngstyle_thin .irs-line-right,
#page .pf_rngstyle_thin .irs-bar,
#page .pf_rngstyle_thin .irs-bar-edge,
#page .pf_rngstyle_thin .irs-slider {
  background-image: url('../img/sprite-skin-thin.png') !important;
}

#page .prdctfltr_collector_flat > span {
  font-size: 15px;
  font-weight: 500;
  background-color: var(--global-grey);
}

#page .prdctfltr_filter .prdctfltr_regular_title {
  font-size: 18px;
  font-weight: 500;
  padding-bottom: 10px;
}

#page .prdctfltr_wc .prdctfltr_filter label > span {
  font-size: 18px;
  font-weight: 400;
}

#page .prdctfltr_wc.prdctfltr_checkbox .prdctfltr_filter label > span::before  {
  width: 16px;
  height: 16px;
  border: 1px solid var(--global-black);
  background-color: transparent;
  border-radius: 2px;
}

#page .prdctfltr_wc.prdctfltr_checkbox .prdctfltr_filter label.prdctfltr_active > span::after {
  font-size: 18px;
  line-height: 24px;
  color: var(--global-color-1);
}

.products-row {
  width: calc(100% + 30px);
  padding-top: 25px;
  padding-bottom: 0;
}

@media only screen and (min-width: 768px) {
  .products-row {
    width: calc(100% + 40px);
  }
}

.products-row::before {
  /* content: " "; */
  display: table;
  clear: both;
}

.products-row::after {
  /* content: " "; */
  display: table;
  clear: both;
}

@media (min-width: 768px) {
  ul.products {
    display: flex;
    flex-wrap: wrap;
  }

  ul.products li.product {
    display: flex;
    flex-direction: column;
  }

  ul.products li.product .button {
    margin-top: auto;
  }
}

/* ========== Woocommerce account nav ========== */
.woocommerce-MyAccount-navigation {
  background-color: var(--global-grey);
  border-radius: 5px;
}

.woocommerce-MyAccount-navigation-title {
  padding-top: 40px;
  padding-left: 40px;
  padding-bottom: 40px;
  margin: 0;
  color: var(--global-black);
}

.woocommerce-MyAccount-navigation ul {
  list-style-type: none;
  padding-left: 0px;
}

.woocommerce-MyAccount-navigation li {
  padding: 15px 0 15px 40px;
}

.woocommerce-MyAccount-navigation li a {
  color: var(--global-black);
  transition: none;
  display: block;
}

.woocommerce-MyAccount-navigation li:hover {
  background-color: var(--global-color-1);
}

.woocommerce-MyAccount-navigation li.is-active {
  background-color: var(--global-color-2);
}

.woocommerce-MyAccount-navigation li.is-active a,
.woocommerce-MyAccount-navigation li:hover a {
  color: var(--global-white);
}

.woocommerce-MyAccount-navigation ul li:last-child {
  margin-top: 100px;
}

.woocommerce-account .woocommerce-MyAccount-content {
  width: 60%;
  padding-top: 40px;
}

/* ========== Woocommerce (new styling) ========== */
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.woocommerce ul.products li.product a,
.woocommerce-page ul.products li.product a {
  display: block;
}

.wc-block-components-address-card,
.wc-block-checkout__payment-method .wc-block-components-radio-control-accordion-option:last-child::after,
.wc-block-components-quantity-selector,
.wc-block-components-quantity-selector::after,
.wc-block-components-quantity-selector > .wc-block-components-quantity-selector__button--minus,
.wc-block-components-quantity-selector > .wc-block-components-quantity-selector__button--plus,
.wc-block-components-form .wc-block-components-text-input input,
.wc-block-components-text-input input {
  border-radius: 0 !important;
}

.woocommerce ul.products li.product .dodo-wc-image {
  position: relative;
  display: block;
  width: 100%;
  padding-top: 100%;
  border-radius: 5px;
}

.woocommerce ul.products li.product .dodo-wc-image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

/* ========== Woocommerce ========== */
.woocommerce-form-row label,
.woocommerce-form-row span,
.woocommerce-form-row input {
  width: 100%;
}

.woocommerce div.product div.images .flex-control-thumbs {
  margin-left: -15px;
  margin-right: -15px;
}

.woocommerce div.product div.images .flex-control-thumbs li {
  padding: 15px;
}

.woocommerce a.added_to_cart {
  display: block;
  position: absolute;
  width: 100%;
}

.cart-count {
  position: relative;
}

.cart-count .count {
  border-radius: 50%;
  background-color: var(--global-black);
  color: var(--global-white);
  width: 15px;
  height: 15px;
  position: absolute;
  top: 55%;
  left: 50%;
  font-size: 10px;
  text-align: center;
  line-height: 15px;
  transition: background-color .2s ease;
  transform: translate(-50%, -50%);
}

.cart-count:hover .count {
  background-color: var(--global-color-1);
}

.cart-count:active .count {
  background-color: var(--global-black);
}

.mark, mark {
  background-color: transparent;
}

.woocommerce .term-description {
  margin-bottom: 45px;
}

.woocommerce .woocommerce-result-count {
  font-weight: 600;
  margin-bottom: 45px;
  padding: 10px 0;
}

.woocommerce .woocommerce-ordering {
  margin-bottom: 45px;
}

.products .product-category h2 {
  text-align: center;
}

.woocommerce-tabs {
  padding: 45px 0;
}

.up-sells.upsells.products,
.related.products {
  float: left;
  width: 100%;
}

.related.products h2 {
  text-align: center;
}

.variations .label,
.variations .value {
  display: block;
  width: 100%;
}

.woocommerce .woocommerce-ordering select,
.woocommerce div.product form.cart .variations select {
  width: 100%;
  padding: 10px 15px;
}

.woocommerce .quantity .qty {
  min-width: 75px;
  padding: 9px 10px;
}

.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
/* .woocommerce ul.products li.product .button, */
.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
  /* font-size: 22px; */
  font-weight: 400;
  text-transform: uppercase;
  border: 0 solid var(--global-color-1);
  border-radius: 5px;
  background-color: var(--global-color-1);
  color: var(--global-white);
  padding: 13px 30px;
  transition: border-color .2s ease, background-color .2s ease, color .2s ease;
}

.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce ul.products li.product .button:hover,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
  border-color: var(--global-color-2);
  background-color: var(--global-color-2);
  color: var(--global-white);
}

.woocommerce #respond input#submit:active,
.woocommerce a.button:active,
.woocommerce button.button:active,
.woocommerce input.button:active,
.woocommerce ul.products li.product .button:active,
.woocommerce #respond input#submit.alt:active,
.woocommerce a.button.alt:active,
.woocommerce button.button.alt:active,
.woocommerce input.button.alt:active {
  border-color: var(--global-black);
  background-color: var(--global-black);
  color: var(--global-white);
}

.woocommerce #respond input#submit.alt.disabled,
.woocommerce #respond input#submit.alt.disabled:hover,
.woocommerce #respond input#submit.alt:disabled,
.woocommerce #respond input#submit.alt:disabled:hover,
.woocommerce #respond input#submit.alt:disabled[disabled],
.woocommerce #respond input#submit.alt:disabled[disabled]:hover,
.woocommerce a.button.alt.disabled,
.woocommerce a.button.alt.disabled:hover,
.woocommerce a.button.alt:disabled,
.woocommerce a.button.alt:disabled:hover,
.woocommerce a.button.alt:disabled[disabled],
.woocommerce a.button.alt:disabled[disabled]:hover,
.woocommerce button.button.alt.disabled,
.woocommerce button.button.alt.disabled:hover,
.woocommerce button.button.alt:disabled,
.woocommerce button.button.alt:disabled:hover,
.woocommerce button.button.alt:disabled[disabled],
.woocommerce button.button.alt:disabled[disabled]:hover,
.woocommerce input.button.alt.disabled,
.woocommerce input.button.alt.disabled:hover,
.woocommerce input.button.alt:disabled, .woocommerce input.button.alt:disabled:hover,
.woocommerce input.button.alt:disabled[disabled],
.woocommerce input.button.alt:disabled[disabled]:hover {
  background-color: var(--global-grey);
}

.woocommerce ul.products li.product.product-category,
.woocommerce-page ul.products li.product.product-category {
  border: 1.5px solid var(--global-grey);
  transition: border-color .2s ease;
}

.woocommerce ul.products li.product.product-category:hover,
.woocommerce-page ul.products li.product.product-category:hover {
  border-color: var(--global-color-2);
}

.woocommerce ul.products li.product.product-category:active,
.woocommerce-page ul.products li.product.product-category:active {
  border-color: var(--global-color-1);
}

.woocommerce div.product form.cart {
  display: flex;
}

.woocommerce div.product p.price ins,
.woocommerce div.product span.price ins,
.woocommerce ul.products li.product .price ins {
  text-decoration: none;
}

.woocommerce span.onsale {
  background-color: var(--global-color-1);
}

.woocommerce ul.products li.product .price,
.woocommerce div.product p.price,
.woocommerce div.product span.price {
font-weight: 400;
font-size: 19px;
line-height: 27px;
  color: var(--global-black);
}

.woocommerce ul.products li.product .price,
.woocommerce div.product p.price,
.woocommerce div.product span.price {
  color: var(--global-white);
}

.woocommerce ul.products li.product .woocommerce-loop-category__title {}

.woocommerce ul.products li.product .woocommerce-loop-product__title,
.woocommerce ul.products li.product h3 {
  font-family: 'Quicksand';
  font-size: 20px;
  font-weight: 500;
  line-height: 25px;
  text-align: left;
  color: var(--global-black);
}

.bg-black .woocommerce ul.products li.product .woocommerce-loop-product__title,
.bg-black .woocommerce ul.products li.product h3 {
  color: var(--global-white);
}

.woocommerce ul.products li.product .button {
  width: 100%;
  text-align: center;
}

/* .woocommerce-error { border-top-color: var(--global-color-1); }
.woocommerce-info { border-top-color: var(--global-color-1); }
.woocommerce-message { border-top-color: var(--global-color-1); }
.woocommerce-error::before { color: var(--global-color-1); }
.woocommerce-info::before { color: var(--global-color-1); }
.woocommerce-message::before { color: var(--global-color-1); } */
/* Woocommerce bootstrap 3 -> 4 */
.woocommerce .col2-set, .woocommerce-page .col2-set {
  display: flex;
  flex-wrap: wrap;
  margin-left: -15px;
  margin-right: -15px;
  padding-bottom: 45px;
}

.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 {
  float: none;
  width: 100%;
  flex: 50%;
  max-width: 50%;
}

.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
  float: none;
  width: 100%;
  flex: 50%;
  max-width: 50%;
}

/* woocommerce inputs */
.woocommerce-input-wrapper {
  width: 100%;
}

.woocommerce-form label {
  display: block;
  width: 100%;
}

.woocommerce-form .password-input {
  width: 100%;
}

.woocommerce-form input.input-text {
  width: 100%;
  padding: 10px 15px;
}

.woocommerce form .form-row input.input-text,
.woocommerce form .form-row textarea {
  border: 1px solid var(--global-grey);
  width: 100%;
  padding: 10px 15px;
  border-radius: 0;
}

.woocommerce form .form-row input.input-text:focus,
.woocommerce form .form-row textarea:focus {
  color: var(--global-black);
  background-color: var(--global-white);
  border-color: var(--global-color-1);
  outline: 0;
  box-shadow: 0;
}

.woocommerce #respond input#submit.disabled,
.woocommerce #respond input#submit:disabled,
.woocommerce #respond input#submit:disabled[disabled],
.woocommerce a.button.disabled,
.woocommerce a.button:disabled,
.woocommerce a.button:disabled[disabled],
.woocommerce button.button.disabled,
.woocommerce button.button:disabled,
.woocommerce button.button:disabled[disabled],
.woocommerce input.button.disabled,
.woocommerce input.button:disabled,
.woocommerce input.button:disabled[disabled] {
  background-color: var(--global-grey);
  color: var(--global-black);
}

/* Woocommerce bootstrap 3 -> 4 (mobile) */
@media only screen and (max-width: 768px) {
  .woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 {
    flex: 100%;
    max-width: 100%;
  }

  .woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    flex: 100%;
    max-width: 100%;
  }
}

@media only screen and (max-width: 480px) {
  .woocommerce .woocommerce-result-count {
    margin-bottom: 25px;
  }

  .woocommerce .woocommerce-ordering {
    width: 100%;
  }
}
